/* matmult8.cpp illustrates use of the matrix multiplication function.
 *
 *  Input (keyboard): names of files containing matrices
 *  Input (files):    two matrices
 *  Precondition:     the first line of each file == rows & columns
 *  Output (screen):  the matrices together with their product
 *********************************************************************/

#include <iostream.h>
#include <string>

#include "Table.h"                           // Fill(), Print()
#include "Matrix.h"                          // Matrix, operator *

int main()
{
  cout << "\nThis program demonstrates matrix multiplication,\n"
          "by multiplying two matrices stored in separate files.\n"
          "\nA file must list the # of rows and columns of its "
          "matrix.\n";
                                             // get file names
  cout << "\nPlease enter the name of the first file: ";
  string file1;
  cin >> file1;

  cout << "and the name of the second file: ";
  string file2;
  cin >> file2;

  Matrix matrix1,
         matrix2;

  Fill(file1, matrix1);                 // load Matrix1 from File1
  Fill(file2, matrix2);                 // load Matrix2 from File2
                                        // Display the matrices
  cout << "\n- Matrix1 --------------------------------------\n";
  Print(cout, matrix1); 
  cout << "\n- Matrix2 --------------------------------------\n";
  Print(cout, matrix2);

  Matrix matrix3 = matrix1 * matrix2;   // perform multiplication
                                        // display Matrix3
  cout << "\n- Matrix3 --------------------------------------\n";
  Print(cout, matrix3);
}
